Get Export Job Download Key

Get Export Job Download Key
Generate a download URL for a completed export

Returns a time-limited download URL for the CSV file produced by a completed export job. Notes:

  • Only call this endpoint after confirming that GET /visualization/flow-exports/exports/{export-id} returns status: COMPLETED.
  • The download URL expires after 60 minutes. Call this endpoint again to obtain a fresh URL.
Request
URI
POST
https://{api_host}/intelligence/visualization/flow-exports/exports/{export-id}/get-download-key
COPY
Path Parameters
string
export-id
Required  

ID of export job to update


Authentication
This operation uses the following authentication methods.
Responses
200

Key to download a file.

Returns FileDownloadUrl of type(s) application/json
{
    "download_url": "https://<ssp_host>/intelligence/visualization/download/export-flow/61dbd809-c892-4475-9a3e-a7c15efa42b7/computeflows1.csv?<download_key>"
}
string
download_url
Optional

Fully formatted URL to the download


400

Invalid input

Returns Error of type(s) application/json
{
    "error_code": 0,
    "module_name": "string",
    "error_message": "string"
}
integer
error_code
Required  

HTTP Status or Application error code.

string
module_name
Optional

Module where the error happened.

string
error_message
Required  

Message describing the error.


401

Unauthorized

Returns Unauthorized of type(s) application/json
{
    "error_code": 0,
    "module_name": "string",
    "error_message": "string"
}
integer
error_code
Required  

HTTP Status or Application error code.

string
module_name
Optional

Module where the error happened.

string
error_message
Required  

Message describing the error.


403

Forbidden

Returns Forbidden of type(s) application/json
{
    "error_code": 0,
    "module_name": "string",
    "error_message": "string"
}
integer
error_code
Required  

HTTP Status or Application error code.

string
module_name
Optional

Module where the error happened.

string
error_message
Required  

Message describing the error.


412

Precondition Failed

Returns PreconditionFailed of type(s) application/json
{
    "error_code": 0,
    "module_name": "string",
    "error_message": "string"
}
integer
error_code
Required  

HTTP Status or Application error code.

string
module_name
Optional

Module where the error happened.

string
error_message
Required  

Message describing the error.


428

Precondition Required

Returns PreconditionRequired of type(s) application/json
{
    "error_code": 0,
    "module_name": "string",
    "error_message": "string"
}
integer
error_code
Required  

HTTP Status or Application error code.

string
module_name
Optional

Module where the error happened.

string
error_message
Required  

Message describing the error.


429

Too Many Requests

Returns TooManyRequests of type(s) application/json
{
    "error_code": 0,
    "module_name": "string",
    "error_message": "string"
}
integer
error_code
Required  

HTTP Status or Application error code.

string
module_name
Optional

Module where the error happened.

string
error_message
Required  

Message describing the error.


Code Samples
COPY
                    curl -X POST -H 'Authorization: <value>' https://{api_host}/intelligence/visualization/flow-exports/exports/{export-id}/get-download-key